Page MenuHomePhabricator

Special:ItemDisambiguation should support case-insensitive matches.
Closed, ResolvedPublic

Description

Special:ItemDisambiguation should list items with the same label, disregarding case and other minor differences (at least optionally).


Version: unspecified
Severity: normal
Whiteboard: u=dev c=backend p=0
See Also:
T45962: Special:ItemDisambiguation should include aliases in search, not just labels.

Details

Reference
bz42686
Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterMake Special:ItemDisambiguation match aliases.

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 12:45 AM
bzimport set Reference to bz42686.
bzimport added a subscriber: Unknown Object (MLST).
daniel created this task.Dec 4 2012, 2:15 PM

This can and should be achieved by querying the wb_terms table via the
TermsCache interface. That would also fix bug 43962.

Agreed. The default should be case-insensitive to correspond with the new default on the item suggester. This is important, because a common way to find items without descriptions is to use the suggester, then search when you see descriptions are missing.

It could be useful to have a checkbox to change this when disambiguating though.

Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).

This would now be super easy, infact it is probably 1 line of code (an option) and then tests

Addshore set Security to None.

Change 221583 had a related patch set uploaded (by Addshore):
Make Special:ItemDisambiguation match aliases.

https://gerrit.wikimedia.org/r/221583

Change 221583 merged by jenkins-bot:
Make Special:ItemDisambiguation match aliases.

https://gerrit.wikimedia.org/r/221583

Addshore closed this task as Resolved.Jul 2 2015, 8:53 PM
Addshore claimed this task.